#!/bin/sh

. include.sh

HOST="secure.example.com"
PORTS="80"
PATH="/"

NAME="check Not Implemented"
CODE=${BAD_CODE}
METHODS=${BAD_METHODS}
do_request

NAME="check /"
CODE="200"
METHODS="HEAD GET POST"
do_request

NAME="check //"
CODE="200"
METHODS="HEAD GET POST"
PATH="//"
do_request

NAME="check ///"
CODE="200"
METHODS="HEAD GET POST"
PATH="///"
do_request

NAME="check /../etc/passwd"
PATH="/../etc/passwd"
CODE="404"
METHODS="HEAD GET POST"
do_request

echo "All tests passed"
