#!/bin/sh 

. include.sh

NAME="check ports"
HOST="secure.example.com"
PORTS="80 8880 8881 8882 8883"
PATH="/"
CODE="200"
METHODS="HEAD GET POST"
do_request

NAME="check Not Implemented"
CODE=${BAD_CODE}
METHODS=${BAD_METHODS}
do_request

NAME="check virtual host port"
HOST="no_secure.example.com"
PORTS="8884"
PATH="/no_secure.html"
CODE="200"
METHODS="HEAD GET POST"
do_request

NAME="check virtual host not found"
HOST="no_secure.example.com"
PORTS="8884"
PATH="/secure.html"
CODE="404"
METHODS="HEAD GET POST"
do_request

echo "All tests passed"
